<?php
// cpmslideshowsetup5.inc.php
// Contains the key configuration settings for the slideshow program supplied with cpmfetch
// Created by KF  (406man)
// Revision: 2.2
//----------------------------------------------------------------
// Edit the settings in this section to suit your slideshow
// This setting changes the time the slide is shown before fading and moving on to the next.
// The value is in milliSeconds so if you want 5 seconds change the number to 5000 
$slideShowTimer = 3500;
// Number of images to be retrieved. Change it if you need more or less images, but higher not recommended for performance reasons
//$maximg = 250;
$maximg = 20;
//----------------------------------------------------------------
// Below are standard cpmfetch settings and function calls with several alternative examples. 
// Change these as needed or uncomment any of the lines. Remember you can only have one line of each type active
//============================================================================================================
//= Start of code for the application ==
$options = array( 
'alttag' => 'Image by {{uUser_name}}',
'cellstyleproperties' => 'max-width:600px; max-height:450px; vertical-align: top; text-align: center; margin: 0px;', 
'imagelink' => 'album', 
'imagesize' => 'int' , 
'imagestyleproperties' => 'width: auto; height:auto; max-width:600px; max-height:400px; margin-top:0px; display:block; margin-left: auto; margin-right: auto;' ,
'subtitle' => '{{pTitle}} by {{uUser_name}}',
'subtitlestyleproperties'=> 'display:block; margin-top: 5px; margin-bottom: auto;', 
'tablestyleproperties' => 'text-align:center; margin-left:auto; margin-right:auto; width:600px; height:450px; table-layout: fixed; ', 
'windowtarget' => '_blank', 
);
//
$data = $objCpm->cpm_viewRandomMediaFrom("", $maximg, 1, $options);

//= End of code for the application ==
//============================================================================================================

?>
