/**
 * cpmfetchdisp.js  Creates a large simple window on the screen to display images without calling Coppermine code
 *
 * Originally written by vuud
 * Updated by KF for version 2.2
 *
 *
 * Revision 2.2
 */
 /* Find the location of this script and use it to specify the location (URL) of cpmfitpic.js   Passed in a global variable */
 let thisurl = document.currentScript.src;
 let cpmfitpicjsurl = thisurl.replace("cpmfetchdisp.js", "cpmfitpic.js");

function cpmshowpic(image,enctitle)
{
    let w = 200;   /* Set height and width of the window to something small. It will be resized later */
    let h = 200; 
    let x_pos = (screen.width/2) - w/2;   //Reposition window horizontally in top centre of screen
    let params = "screenX=" + x_pos + ",screenY=10,toolbar=no,location=no,scrollbars=no,directories=no,menubar=no,resizable=yes,width=" + w +",height=" + h;
    let d = new Date();
    let title = (enctitle == "") ? "" : window.atob(enctitle);     // If non-blank base64 encoded subtitle passed in, decode it. It had to be encoded when passing in to avoid string problems if there are single quote chars 
    winname = d.getTime();
    winname = window.open("","Large image display",params);
    winname.document.open();
    winname.document.writeln ("<!doctype html>");
    winname.document.writeln ("<html><head><title>" + title + "</title></head><body link=black vlink=black onLoad=cpmFitPic();>"); 
    winname.document.writeln ("<script type=\"text/javascript\" src=\"" + cpmfitpicjsurl + "\"></script>"); 
    winname.document.writeln ("<style>");
    winname.document.writeln ("body {overflow : hidden;}");
    winname.document.writeln ("#picbox {}  #cpmtitleid{margin-left: 5px;}  #cpmcloseid{margin-right: 10px;}");
    winname.document.writeln ("img { display:block;}");
    winname.document.writeln ("</style>");
    winname.document.writeln ("<table cellpadding=0 cellspacing=0 width=\"100%\" border=0 id=\"picbox\" align=center><tr><td align=center valign=middle colspan=2>");
    winname.document.writeln ("<img src=\"" + image + "\" id=\"DispImg\">");
    winname.document.writeln ("</td></tr><tr><td valign=top>");
    if(title != ""){
      winname.document.writeln ("<span id=\"cpmtitleid\" style=color:black;font-family:Verdana;font-size:10pt;>" + title + "</span><br>");
    }
    winname.document.writeln ("</td>");
    winname.document.writeln ("<td  align=right valign=top><strong>");
    winname.document.writeln ("<span id=\"cpmcloseid\"> <a href='javascript:window.close();'><font face=verdana size=-1>close window</font></a></strong></center></span>");
    winname.document.writeln ("</td></tr></table>");
    winname.document.writeln ("</body></html>");
    winname.document.close();

    winname.focus();
    // Need to wait until the window is loaded before it can be resized
    setTimeout('cpmResizeWindow()',400);
}    

function cpmResizeWindow() 
// This function has to be in this script otherwise the window.resizeTo will not work
{
    let Heightmargin=10;  /* Space to leave around the top & bottom of the window */
    let WinWidthmargin=30;   /* Space to leave at sides of window inside the screen width */
    let PicWidthmargin=20;   /* Space to leave at sides of pic inside its window */
    let TitleSpace=50;   /* Space for the title line in pixels */
    let TopOfPage=75;   /* Height of title bar plus URL box in pixels */
    let iWidth = winname.document.getElementById('DispImg').naturalWidth;
    let iHeight = winname.document.getElementById('DispImg').naturalHeight;
    let WinResizeWidth, PicResizeWidth;
    let WinResizeHeight, PicResizeHeight;
    let new_x;
	if (winname.document.images) {    /* if an image has been loaded, do the resizing, otherwise wait a bit and try again */
		if (winname.document.images.length!=0) {
            if ((iWidth >= (screen.width - (WinWidthmargin+PicWidthmargin))) || (iHeight >= screen.height-(Heightmargin + TitleSpace + TopOfPage) )) {  // If the image on its own is bigger than the screen
                if (iWidth / iHeight > screen.width / screen.height) {
                    WinResizeWidth = screen.width - WinWidthmargin;
                    PicResizeWidth = screen.width - (WinWidthmargin+PicWidthmargin);
                    PicResizeHeight = PicResizeWidth * (iHeight / iWidth);
                    WinResizeHeight = PicResizeHeight + TitleSpace + TopOfPage;
                } else {
                    PicResizeHeight = screen.height - (Heightmargin + TitleSpace + TopOfPage);
                    WinResizeHeight = screen.height - Heightmargin;
                    PicResizeWidth  = PicResizeHeight * (iWidth / iHeight);
                    WinResizeWidth  = PicResizeWidth + PicWidthmargin + WinWidthmargin;
                }
                winname.window.resizeTo(WinResizeWidth, WinResizeHeight);   // Resize the window, then the image inside it */
                winname.document.getElementById('DispImg').height = PicResizeHeight;   
                winname.document.getElementById('DispImg').width  = PicResizeWidth;   
            } else {
                WinResizeWidth = iWidth + WinWidthmargin;
                WinResizeHeight = iHeight + TopOfPage + TitleSpace;
                winname.window.resizeTo(WinResizeWidth, WinResizeHeight);
            }
            new_x = (screen.width - WinResizeWidth)/2;   //Reposition window horizontally in centre of screen
            winname.window.moveTo(new_x, 10);
        }
    } else {
        setTimeout('cpmResizeWindow()',500);
	}
}

